Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740414 - media-libs/libpng: EAPI 7 request
Summary: media-libs/libpng: EAPI 7 request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: Gentoo's Team for Core System packages
URL: https://github.com/gentoo/gentoo/pull...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2020-09-04 21:23 UTC by David Michael
Modified: 2020-09-07 20:44 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Michael 2020-09-04 21:23:43 UTC
This is another base-system multilib package with no EAPI 7 ebuild which breaks cross-emerging in the same set as bug #739302.  (I had disabled all graphical-related stuff in the package list I used originally and missed this one.)  Here is a diff which randomly updates for bug #694076 as well.

--- media-libs/libpng/libpng-1.6.37.ebuild
+++ media-libs/libpng/libpng-1.6.37.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit libtool multilib-minimal
 
@@ -13,11 +13,10 @@
 LICENSE="libpng2"
 SLOT="0/16"
 KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
-IUSE="apng cpu_flags_x86_sse neon static-libs"
+IUSE="apng cpu_flags_arm_neon cpu_flags_x86_sse static-libs"
 
 RDEPEND=">=sys-libs/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}]"
-DEPEND="${RDEPEND}
-	app-arch/xz-utils"
+DEPEND="${RDEPEND}"
 
 src_prepare() {
 	default
@@ -33,7 +32,7 @@
 	local myeconfargs=(
 		$(use_enable cpu_flags_x86_sse intel-sse)
 		$(use_enable static-libs static)
-		--enable-arm-neon=$(usex neon)
+		--enable-arm-neon=$(usex cpu_flags_arm_neon)
 	)
 	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
 }
@@ -41,5 +40,5 @@
 multilib_src_install_all() {
 	DOCS=( ANNOUNCE CHANGES libpng-manual.txt README TODO )
 	einstalldocs
-	find "${ED}" -name '*.la' -delete || die
+	find "${ED}" -name '*.la' -type f -delete || die
 }
Comment 1 Larry the Git Cow gentoo-dev 2020-09-07 20:44:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=165c7b9eb2611554ba69f46d889cbb2db15f6f87

commit 165c7b9eb2611554ba69f46d889cbb2db15f6f87
Author:     David Michael <fedora.dm0@gmail.com>
AuthorDate: 2020-09-04 21:24:21 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-09-07 20:44:02 +0000

    media-libs/libpng: EAPI 7 and CPU_FLAGS_ARM
    
    Closes: https://bugs.gentoo.org/694076
    Closes: https://bugs.gentoo.org/740414
    Package-Manager: Portage-3.0.4, Repoman-2.3.23
    Signed-off-by: David Michael <fedora.dm0@gmail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/17398

 media-libs/libpng/libpng-1.6.37-r1.ebuild | 44 +++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)